glab(1)

NAME
glab-auth-configure-docker - Register glab as a Docker credential helper.

SYNOPSIS
glab auth configure-docker [flags]

DESCRIPTION
Configures Docker to use glab for authentication with GitLab container registries. This command runs only on Linux and macOS.

After you run this command, Docker uses glab to obtain credentials when it pulls from or pushes to a GitLab container registry.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

EXAMPLE
    # Configure Docker to use glab for GitLab container registry authentication
    glab auth configure-docker

SEE ALSO
glab-auth(1)